@echo off

rem Runs the WSDL2TAM tool for taking WSDL documents and generating script for creating TAM protected objects.
rem
rem NB. Requires Java 1.4.2 or better. Ensure WAS_JARS is set for the correct version of WAS.

setlocal

rem Make sure the Java home directory is correct.

set JAVA_HOME=C:\Program Files\IBM\WebSphere\AppServer\java\jre

rem Make sure the WAS home directory location is correct.

set WAS_HOME=C:\Program Files\IBM\WebSphere\AppServer

rem Make sure the FIM home directory location is correct.

set FIM_HOME=C:\Program Files\IBM\FIM

rem The WSSM home directory.

set WSSM_HOME=%FIM_HOME%\wssm

rem The required WAS 6.0.2 jars.

rem set WAS_JARS=%WAS_HOME%/lib/j2ee.jar;%WAS_HOME%/lib/wsdl4j.jar

rem The required WAS 6.1 jars.

set WAS_JARS=%WAS_HOME%/lib/j2ee.jar;%WAS_HOME%/plugins/com.ibm.ws.runtime_6.1.0.jar

rem The required WSSM jars.

set WSSM_JARS=%WSSM_HOME%/lib/itfim-wssm-common.jar;%WSSM_HOME%/lib/itfim-wssm-mgmt.jar

set CLASSPATH=%WSSM_JARS%;%WAS_JARS%;%CLASSPATH%

"%JAVA_HOME%\bin\java" -Djava.ext.dirs="%JAVA_HOME%/lib/ext;%WAS_HOME%/lib" -Djava.util.logging.config.file="%WSSM_HOME%"/logging.properties com.tivoli.am.fim.wssm.management.WSDL2TAM %*

endlocal

